%blankcircle
% Creates an image of a blank circle with N points equally spaced.
% This can be used to plot epicycloids, mytic roses etc.
%
% LAST UPDATED by Andy French April 2016

function blankcircle

%Define number of points
N = 72;

%Print numbers on circle?
print_numbers = 1;

%Define number of circle points
Nc = 1000;

%

%Create x,y points which define the unit circle
t = linspace( 2*pi/N, 2*pi, N );
tt = linspace(0, 2*pi, Nc);
x = sin(t);
xx = sin(tt);
y = cos(t);
yy = cos(tt);

%Construct name string
name = ['blank circle ',strrep(datestr(now),':','-'),' ',num2str(N)];

%Plot empty circle
figure('color',[1 1 1],'name',name,'numbertitle','off')
plot(xx,yy,'b');
hold on
plot(x,y,'ko');
axis equal
axis off

%Add numbers?
if print_numbers==1
    xt = 1.06*sin(t);
    yt = 1.06*cos(t);
    for nn=1:N
        text( xt(nn),yt(nn),num2str(nn),...
            'Horizontalalignment','center','rotation',-t(nn)*180/pi,'fontsize',8 );
    end
end

%Print PNG image of empty circle
print(gcf,name,'-dpng','-r300')
close(gcf);

%End of code