%random_rectangles
% Generate random coloured rectangles in Modrian colours!
%
% LAST UPDATED by Andy French. August 2014

function random_rectangles

%Set number of rectangles
N = 20;

%Define rectangle colours, skewed to white
white = [ 1, 1, 1];  
red = [ 1, 0, 0];  
yellow = [ 1, 1, 0];   
blue = [ 0, 0, 1];       
C = [ red ; yellow ; blue; repmat( white, [3,1] ) ];

%Define dimensions of box
xmin = 0;
xmax = 1;
ymin = 0;
ymax = 2/(1+sqrt(5));

%

%Randomly generate N rectangles
dim = size(C);
c = randi( dim(1),N);
for n = 1:N
    R(n).colour = C( c(n), : );
    R(n).xbl = xmin + (xmax-xmin)*rand;
    R(n).ybl = ymin + (ymax-ymin)*rand;
    R(n).width = (xmax-xmin)*rand;
    R(n).height = (ymax-ymin)*rand;
end

%Plot these rectangles
figure( 'color', [ 1 1 1], 'name', 'Mondrian - by Andy French' )
axes('Nextplot','Add');
axis equal
axis off;
for n=1:N
    patch( 'xdata',[ R(n).xbl, R(n).xbl + R(n).width, R(n).xbl + R(n).width, R(n).xbl ],...
        'ydata',[ R(n).ybl, R(n).ybl, R(n).ybl + R(n).height, R(n).ybl + R(n).height ],...
        'Facecolor', R(n).colour );        
end

%Print figure & close
filename = ['random rectangles ',strrep( datestr(now), ':','-' ),'.png'];
print( gcf, filename ,'-dpng','-r300' );
close(gcf);

%End of code