%import_isotope_half_lives
% Function which imports Isotope half live data obtained from Wikipedia
% https://en.wikipedia.org/wiki/List_of_radioactive_isotopes_by_half-life
%
% LAST UPDATED by Andy French March 2016

function import_isotope_half_lives

%Load Excel file
disp(' ')
t0=tic;
disp(' Importing periodic table data from Isotope half lives.xls ....')

%Load Excel file
[num,txt,raw] = xlsread('Isotope half lives.xls');

%Step through file an populate various arrays
dim = size(num);
N = dim(1);
isotope = cell(1,N);
element_symbol = cell(1,N);
Z = ones(1,N);
A = ones(1,N);
half_life_s = zeros(1,N);
for n=1:N
    isotope{n} = raw{4+n,3};
    element_symbol{n} = raw{4+n,2};
    Z(n) = raw{4+n,4};
    A(n) = raw{4+n,5};
    half_life_s(n) = raw{4+n,8};
end

%Save .mat file
clear num txt raw n N dim
save isotope_half_lives
disp([' Data imported and saved to file isotope_half_lives.mat in ',num2str(toc(t0)),'s.']);
disp(' ');

%End of code