%numbertype
% Function which steps through the first N integers and states various
% properties. This function is an example of logical operations performed
% within a loop.
%
% LAST UPDATED by Andy French April 2016

function numbertype 

%Display message to command window
disp(' ')
disp(' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp('  Information about positive integers ')
disp(' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%')
disp(' ')
disp(' Define the largest positive integer ')
N = input( ' > N = ' );
if isempty(N)
    N = 100;
    disp(' Default N = 100.')
end
disp(' ')

%Step through the first N integers, and display various information to the
%command window.
for n=1:N
    
    %Begin string for number n
    s = [' Number ',num2str(n),' '];
    
    %Check if even
    if rem( n,2 )==0
        s = [s,'is EVEN, '];
    else
        s = [s,'is ODD, '];
    end
    
    %Check if prime
    if isprime(n)==1
        s = [s,'is PRIME, '];
    end
    
    %Check if a square
    if abs( sqrt(n) - round( sqrt(n) ) ) < 1e-12;
        s = [s,'is a SQUARE, '];
    end
    
    %Check if a cube
    if abs( n^(1/3)- round( n^(1/3) ) ) < 1e-12;
        s = [s,'is a CUBE, '];
    end
    
    %Determine prime factors
    s = [s,'and prime factors are '];
    f = factor(n);
    for m=1:length(f)
        s = [s,num2str(f(m)),' x '];
    end
    s(end-2:end) = '';
    
    %Display number information to command window
    disp(s);
end
disp(' ');

%End of code