%looper
% Function which loads a .mp3 file and repeats this N times. N is set via
% user input. Default is three times. A .mp3 file will be saved which will
% be N times as large as the original. Note for many application is is more
% memory efficient to play the same file in a loop!
%
% LAST UPDATED by Andy French April 2016

function looper

%Add directory mp3 to path (including all subdirectories)
addpath(genpath('mp3'));

%Display message to command window
disp(' ')
disp(' %%%%%%%%%%%%')
disp('  mp3 looper ')
disp(' %%%%%%%%%%%%')
disp(' ')

%Request number of loops from user
disp(' Define number of loops. This must be a positive integer!')
N = ceil( input(' > ') );
if ( isempty(N)==1 ) || ( length(N)>1 )
    %Default of 3 loops
    N = 3;
end
disp(' ');
disp([' Number of loops chosen is ',num2str(N)] );

%Load .mp3 file
disp(' ')
disp(' Choose .mp3 file to loop...' )
[filename, pathname] = uigetfile( '*.mp3',...
    'Choose .mp3 file to loop', ...
    'MultiSelect', 'off');
file = [ pathname, filename ];
[s,Fs,Nbits] = mp3read( file );

%Loop file N times and save a new .mp3 file
s = repmat( s, [N,1] );
mp3write( s, Fs,...
    strrep( file,'.mp3',[' x',num2str(N),'.mp3'] ),...
    '--quiet -h -b 192' );
disp(' ');
disp( [' File ',filename,' looped ',num2str(N),' times.'] )
disp(' ');

%End of code