%mp3player
% Plays a .mp3 file. This creates an audioplayer object p.
% This enables some keyboard control. Note this is a script, not a function.
%
% pause(p)
% resume(p)
% stop(p)
% play(p)
%
% LAST UPDATED by Andy french April 2016

%Display message to command window
disp(' ')
disp(' %%%%%%%%%%%%%% ')
disp('  Audio player ')
disp(' %%%%%%%%%%%%%% ')
disp(' ')
disp(' Audio player controls are: ')
disp(' ')
disp(' play(p)   Play from beginning')
disp(' resume(p) Resume from last pause')
disp(' pause(p)  Pause')
disp(' stop(p)   Stop and reset .mp3 track')
disp(' ')

%Add directory mp3 to path (including all subdirectories)
addpath(genpath('mp3'));

%Load .mp3 file
[filename, pathname] = uigetfile( '*.mp3',...
    'Choose .mp3 file to play...', ...
    'MultiSelect', 'off');
if filename~=0
    [s,Fs,Nbits] = mp3read( [ pathname, filename ] );
    
    %Play sound, by creating first an audioplayer object.
    %Note the alterantive is sound( s, Fs ), but this offers so control.
    %In other words, the sound will play until the end of the file is
    %reached, or MATLAB is quit!
    p = audioplayer(s,Fs);
    play(p);
end

%Remove directory mp3 from path (including all subdirectories)
rmpath(genpath('mp3'));

%Clear all variables created other than p
clear filename pathname file s Fs Nbits

%End of code

