%silence
% Creates a .mp3 file of complete silence. This could be useful in making
% a mix, in conjunction with the looper and splice programs.
%
% LAST UPDATED by Andy French April 2016

function silence

%Sample rate /Hz
Fs = 44100;

%

%Display message to command window
disp(' ')
disp(' %%%%%%%%%%%%%%%%%%% ')
disp('  Silence generator' )
disp(' %%%%%%%%%%%%%%%%%%% ')
disp(' ')

% Get duration /s of silence (default is 2 seconds)
disp(' Specify duration of silence /s ')
T = input(' > ');
if isempty(T)
    T = 2;
    disp(' Default silence duration set at 2 seconds.')
end

%Add directory mp3 to path (including all subdirectories)
addpath(genpath('mp3'));

%Construct sample vector of zeros, and write this as a .mp3 file
s = zeros( round(T*Fs), 2 );
mp3write( s, Fs, ...
    [num2str(T),' seconds of silence.mp3'],...
    '--quiet -h -b 192' );
disp(' ')
disp(' Silence has been created.')
disp(' ')

%Remove directory mp3 to path (including all subdirectories)
rmpath(genpath('mp3'));

%End of code