%birthday
% This plots a curve of the probability of two or more people sharing a
% birthday in a room of N people. Ignore leap years.
%
% LAST UPDATED by Andy French April 2016

function birthday

%Number of people in the room
N=30;

%Fontsize for graphs
fsize = 18;

%

%Compute probabilities
p = zeros(1,N);
warning off
for n=1:N
    p(n) = 1 - (nchoosek(365,n)*factorial(n))/(365^n);
end

%Plot graph of n vs p(n)
figure('name','Birthday problem','color',[1 1 1]);
plot(1:N, p, 'r','linewidth',2);
xlabel('Number of people N in a room','fontsize',fsize)
ylabel('Probability','fontsize',fsize)
title('Probability that two or more people share a birthday','fontsize',fsize)
grid on
set(gca,'fontsize',fsize)
print(gcf,'birthday','-dpng','-r300');
close(gcf);

%End of code