%days_between_dates
% Function which computes the number of days between two dates.
%
% LAST UPDATED by Andy French April 2016

function days_between_dates

%Display message to command window
disp(' ');
disp(' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ')
disp(' Calculate the number of days between dates ')
disp(' %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% ')
disp(' ')

%Request dates
disp(' State first date in format akin to 09-Apr-2016 AD or 01-Oct-4321 BC')
date1 = input( ' > ','s' );
if isempty(date1)
    date1 = '01-Oct-4321 BC';
    disp(' Default first date is 01-Oct-4321 BC');
end
disp(' ')
disp(' State second date in format akin to 09-Apr-2016 AD or 01-Oct-4321 BC')
date2 = input( ' > ','s' );
if isempty(date2)
    date2 = '09-Apr-2016 AD';
    disp(' Default second date is 09-Apr-2016 AD');
end

%Determine days between dates
dt = days( date2 ) - days( date1 );
total_days_elapsed = dt;

%Estimate years, months, dats elapsed
years_elapsed = floor( dt /365 );
dt = dt - years_elapsed*365;
months_elapsed = floor( dt / (365/12) );
dt = dt - months_elapsed*365/12;
days_elapsed = floor(dt);

%Diplay results to command window
disp(' ')
disp([' Total days elapsed between ',date1 ]);
disp([' and ',date2,' is ',num2str(total_days_elapsed),' days.' ]);
disp([' This is approximately ',num2str(years_elapsed),' years, ',num2str(months_elapsed),...
    ' months, ',num2str(days_elapsed),' days.']);
disp(' ')

%%

%Find days elapsed since year 0 for date string ending in AD or BC
function d = days( date_string )

%Determine days elapsed since year 0.
if isempty( strfind( date_string, 'BC' ) )
    %Assume AD. Remove this bit from the date string and calculate number
    %of days since year 0.
    d = datenum( strrep( date_string,' AD ','' ) );
else
    %Assume BC. Remove this bit from the date string and calculate number
    %of days since year 0.
    d = -datenum( strrep( date_string,' BC ','' ) );
end

%End of code