%timing_with_tic_and_toc
% Function which uses tic and toc functions to calculate time elapsed in a
% MATLAB program.
%
% LAST UPDATED by Andy French April 2016

function timing_with_tic_and_toc

%Start clock
t0 = tic;

%Display message to command window
disp(' ')
disp(' MATLAB timer has begun! ')
disp(' ...')
pause(0.01)

%Use a loop to work out the sum (s) of the first N integers.
%Five hundred million (10^8) is a fairly good test, as this should take a few
%seconds. i.e. enough to show a delay, but not too long to be tedious.
N = 5e8;
s = 0;
for n=1:N
    s = s + n;
end

%Stop clock and determine time (in seconds) that have elapsed
t = toc(t0);

%Display message to command window
disp( [' The sum of the first ',num2str(N),' integers is ',num2str(s),'.'] )
disp( [' This took MATLAB ',num2str(t),' seconds to calculate.'] )
disp(' ')

%End of code